Ubuntu 16.04

janosvitok
Posts: 830
Joined: Mon Apr 13, 2015 7:05 am
Location: Bratislava, Slovakia
Real Name: Jano Svitok
Contact:

Ubuntu 16.04

Post by janosvitok » Wed May 18, 2016 11:07 am

Massimo,

since ubuntu 16.04 is out, it might be useful to enable git builds for it on OBS.

J.

User avatar
mcallegari
Posts: 1890
Joined: Sun Apr 12, 2015 9:09 am
Location: Italy
Real Name: Massimo Callegari
Contact:

Re: Ubuntu 16.04

Post by mcallegari » Wed May 18, 2016 11:07 am

janosvitok wrote:since ubuntu 16.04 is out, it might be useful to enable git builds for it on OBS.
Done

User avatar
sbenejam
Posts: 114
Joined: Sun Apr 12, 2015 6:28 pm
Real Name: Santiago Benejam Torres
Contact:

Re: Ubuntu 16.04

Post by sbenejam » Wed May 18, 2016 5:42 pm

After I upgraded to Xubuntu 16.04 I discovered some issues that could affect QLC+.
Gstreamer0.10 is not complete and don't play some video formats. Some plugins are missing (bad, ugly)
QLC+ compiled with default Qt5.5.1 in Xubuntu video don't play.
QLC+ compiled with Qt5.6 some video formats plays (ogv, dv, ). Others formats (mp4, mkv) mpeg format dont work even if it is played with gst-launch0.10 needs gstreamer0.10-plugin-ffmpeg from alternative PPA's.
Gstreamer1.0 plays all video and audio formats with gst-launch1.0 on Xubuntu 16.04. I tried to activate gstreamer1.0 suport on Qt5.6 qtmultimedia and did not work. Qt5.6 qtmultimedia is linked to gst0.10 not to gst1.0.

I have to do more tests with Qt5, qtmultimedia and QLC+.

User avatar
mcallegari
Posts: 1890
Joined: Sun Apr 12, 2015 9:09 am
Location: Italy
Real Name: Massimo Callegari
Contact:

Re: Ubuntu 16.04

Post by mcallegari » Wed May 18, 2016 5:42 pm

sbenejam wrote:After I upgraded to Xubuntu 16.04 I discovered some issues that could affect QLC+.
Gstreamer0.10 is not complete and don't play some video formats. Some plugins are missing (bad, ugly)
QLC+ compiled with default Qt5.5.1 in Xubuntu video don't play.
QLC+ compiled with Qt5.6 some video formats plays (ogv, dv, ). Others formats (mp4, mkv) mpeg format dont work even if it is played with gst-launch0.10 needs gstreamer0.10-plugin-ffmpeg from alternative PPA's.
Gstreamer1.0 plays all video and audio formats with gst-launch1.0 on Xubuntu 16.04. I tried to activate gstreamer1.0 suport on Qt5.6 qtmultimedia and did not work. Qt5.6 qtmultimedia is linked to gst0.10 not to gst1.0.

I have to do more tests with Qt5, qtmultimedia and QLC+.
I switched to Ubuntu 16.04 as well and the default now is gstreamer 1.0.

QtMultimedia supports gst 1.0 since 5.6 but I just checked and you're right, the official 5.6.0 linux build is still built against 0.10.
As always, it's a mess and QtMultimedia keeps on being the weakest Qt module ever.
On the other hand, it's not easy for them to make everyone happy, so I guess they preferred to be conservative...even though 16.04 is a LTS and gst 0.10 is damn obsolete now.

Honestly, I don't want to take the responsibility for this...maybe a good soul prepared a PPA for QtMultimedia built on gst 1.0. I could do it myself, but really, I don't have time for it.
Building just QtMultimedia from sources (if you really need it) is not that difficult.

I'd say: give Qt 5.7.0 RC a try. There are snapshots available now. Maybe if you're lucky, they started to build with gst 1.0

User avatar
sbenejam
Posts: 114
Joined: Sun Apr 12, 2015 6:28 pm
Real Name: Santiago Benejam Torres
Contact:

Re: Ubuntu 16.04

Post by sbenejam » Sat May 28, 2016 5:26 am

I've been testing qtmultimedia 5.6 build with qmake -r GST_VERSION=1.0 from Qt5.6 official bundle. Any video format don't play, only the audio plays, I tested in qt-creator some video examples, a Media Player example program works perfectly and plays many video formats.
I doon't know the difference between qlcplus video implementation versus Media Player example from Qt5.6.
I searched qtmultimedia PPA with no luck. I tested too Qt5.7 RC and is compiled only with gst-0.10 by default.

User avatar
mcallegari
Posts: 1890
Joined: Sun Apr 12, 2015 9:09 am
Location: Italy
Real Name: Massimo Callegari
Contact:

Re: Ubuntu 16.04

Post by mcallegari » Sat May 28, 2016 2:05 pm

I've just done some tests.
QtMultimedia 5.6.0 is definitely broken on Ubuntu 16.04.
I cannot even play a video with the 'player' example, which is the most similar code to what I've done in QLC+.

It wants a JACK server running, and even if I start JACK, I cannot play any video ! WTF
I'm really pissed off about how much unprofessional the QtMultimedia team is. I won't even point you to the emails I've sent to the Qt dev mailing list, cause you would get scared.

Right now I don't have time to dedicate to this topic cause I need to release 4.10.4, but I'll try to see if there is something that can be done to solve this crap.
At this point (and after all the issues we've had with the audio playback as well) I think it is time to abandon QtMultimedia for good. At least for the video part. I'm really sick of it.

User avatar
mcallegari
Posts: 1890
Joined: Sun Apr 12, 2015 9:09 am
Location: Italy
Real Name: Massimo Callegari
Contact:

Re: Ubuntu 16.04

Post by mcallegari » Thu Jun 02, 2016 8:25 am

Hey Santiago,
I've sent a message to the Qt mailing list. Let's see what they think: http://lists.qt-project.org/pipermail/d ... 26090.html

User avatar
sbenejam
Posts: 114
Joined: Sun Apr 12, 2015 6:28 pm
Real Name: Santiago Benejam Torres
Contact:

Re: Ubuntu 16.04

Post by sbenejam » Thu Jun 02, 2016 6:49 pm

Hi Massimo,
As they explain gst version is automatically detected, maybe uninstalling gst 0.1 libs before build Qt?. You built only qtmultimedia or all Qt5.7?. Is there a good howto on how to build Qt with gst 1.0?
I posted last weekend on Qt forums and I don't get a good reply. ;-(

User avatar
mcallegari
Posts: 1890
Joined: Sun Apr 12, 2015 9:09 am
Location: Italy
Real Name: Massimo Callegari
Contact:

Re: Ubuntu 16.04

Post by mcallegari » Fri Jun 03, 2016 7:54 am

They have a QTBUG open for the issue: https://bugreports.qt.io/browse/QTBUG-53668
...but they're targeting Qt 5.8...meaning other 6 months of broken videos :(

Attached my script to build Qt5 on a desktop.
Please note that this script is generic and if you'll use it in the future, you could find build errors depending on the status of the GIT sources. Normally Linux builds fine though.
If you need to add Qt modules, add a "git clone" line before "configure"
After the script is done, cd into qt5-GIT and do a "sudo make install"
Qt will be installed in /opt, so to build QLC+ you will have to do

Code: Select all

/opt/qt5-dev/bin/qmake
[EDIT] I just realized a couple of modules are missing in the script to build QLC+. Add this at the end of the clone list:

Code: Select all

git clone -b $BRANCH --depth=1 https://code.qt.io/qt/qtserialport.git
git clone -b $BRANCH --depth=1 https://code.qt.io/qt/qtscript.git
Attachments
build_qt5_dev.sh.tar.gz
(526 Bytes) Downloaded 31 times

User avatar
sbenejam
Posts: 114
Joined: Sun Apr 12, 2015 6:28 pm
Real Name: Santiago Benejam Torres
Contact:

Re: Ubuntu 16.04

Post by sbenejam » Fri Jun 03, 2016 1:39 pm

Hi Massimo,
I try to compile QT, this weekend. Many thanks.

I've got a question off topic. I tried Capture Argo last weekend. I could not connect QLC + and Capture Argo, last month I managed to make it work. In Capture Argo input universes, do not detect Artnet inputs. QLC + is sending Artnet packets correctly, tested and with an Artnet Monitor on Android.
I think that I have configured both programs correctly. Any ideas. ;-)

[EDIT]
I reinstalled Capture Argo again and it's working now.

Post Reply